#actionbar and health
execute if entity @e[type=area_effect_cloud,tag=altztoriel,scores={altztorielHP=4}] run title @a actionbar [{"text":"♥♥♥♥","color":"red","bold":"true"}]
execute if entity @e[type=area_effect_cloud,tag=altztoriel,scores={altztorielHP=3}] run title @a actionbar [{"text":"♥♥♥","color":"red","bold":"true"},{"text":"♥","color":"dark_gray","bold":"true"}]
execute if entity @e[type=area_effect_cloud,tag=altztoriel,scores={altztorielHP=2}] run title @a actionbar [{"text":"♥♥","color":"red","bold":"true"},{"text":"♥♥","color":"dark_gray","bold":"true"}]
execute if entity @e[type=area_effect_cloud,tag=altztoriel,scores={altztorielHP=1}] run title @a actionbar [{"text":"♥","color":"red","bold":"true"},{"text":"♥♥♥","color":"dark_gray","bold":"true"}]

#spectate
execute if entity @e[tag=controller,type=armor_stand,tag=specMode] as @a[scores={player=1..},gamemode=spectator] at @s run spectate @p[scores={altztoriel=1..,player=1..}] @s

#other
scoreboard players set @e[tag=altztoriel,type=area_effect_cloud] countAltz 0
execute as @a[scores={altztoriel=1..}] run scoreboard players add @e[tag=altztoriel,type=area_effect_cloud] countAltz 1
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ pink_terracotta run effect give @s wither 2 0 true
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ gold_ore run effect give @s wither 2 0 true
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ red_stained_glass run effect give @s wither 2 0 true
effect give @e[type=zombie_villager,tag=altztorielM] minecraft:jump_boost 999999 255 true
effect give @e[type=skeleton,tag=altztorielM] minecraft:jump_boost 999999 255 true
effect give @e[type=zombie_villager,tag=gilbert] minecraft:jump_boost 999999 255 true
particle minecraft:ambient_entity_effect 341 4 -394 12 0.4 12 0 300 normal @a
effect give @e[tag=food,type=zombie_villager] slow_falling 999999 0 true
effect give @e[tag=food,type=skeleton] slow_falling 999999 0 true

#gold
#zombie villager
execute as @a[scores={kill1=1..}] run scoreboard players add @s gold 1
execute as @a[scores={kill1=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={kill1=1..}] run scoreboard players reset @s kill1
#skeleton
execute as @a[scores={kill2=1..}] run scoreboard players add @s gold 1
execute as @a[scores={kill2=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={kill2=1..}] run scoreboard players reset @s kill2

#usedKnockback
execute as @a[scores={usedKnockback=1..}] at @s run playsound item.shield.break master @a ~ ~ ~ 5
execute as @a[scores={usedKnockback=1..}] run clear @s golden_sword 1
execute as @a[scores={usedKnockback=1..}] run scoreboard players reset * storeHit
execute as @a[scores={usedKnockback=1..}] run scoreboard players set @s storeHit 1
execute as @a[scores={usedKnockback=1..}] run scoreboard players reset @s usedKnockback

#resummon
execute if entity @e[tag=altztoriel,type=area_effect_cloud,tag=resummon] unless entity @a[scores={altztoriel=1..},nbt={Inventory:[{id:"minecraft:golden_sword"}]}] unless entity @e[type=item,nbt={Item:{id:"minecraft:golden_sword"}}] run summon item 341 51 -394 {Item:{id:"minecraft:golden_sword",tag:{Enchantments:[{id:knockback,lvl:10}],HideFlags:7,Unbreakable:1,display:{Name:'{"text":"Knockback Stick","italic":"false"}'}},Count:1b}}
execute if entity @e[tag=altztoriel,type=area_effect_cloud,tag=resummon] unless entity @a[scores={altztoriel=1..},nbt={Inventory:[{id:"minecraft:golden_sword"}]}] unless entity @e[type=item,nbt={Item:{id:"minecraft:golden_sword"}}] as @a run playsound entity.player.burp master @s ~ ~ ~ 1000

#add to controller for random
scoreboard players add @e[tag=controller,type=armor_stand] altztorielT 1
scoreboard players set @e[tag=controller,type=armor_stand,scores={altztorielT=21..}] altztorielT 1

#disasters
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ green_concrete run effect give @s poison 1 2 true
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ green_concrete run effect give @s slowness 4 255 true
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ green_concrete run effect give @s jump_boost 1 129 true

#time/wave 8+
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8..}] run scoreboard players add @s altztorielT 1
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8..,altztorielT=100}] run function single:altztorielpick
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8..,altztorielT=140}] run function single:altztorielchange
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8..,altztorielT=200}] run function single:altztorieldisaster
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8..,altztorielT=260}] run scoreboard players set @s altztorielT 0

#poisoned
execute as @a[scores={altztoriel=1..,poisoned=0}] at @s if block ~ ~-1 ~ yellow_stained_glass run particle cloud ~ ~ ~ 0.3 7 0.3 0 100 force @a
execute as @a[scores={altztoriel=1..,poisoned=0}] at @s if block ~ ~-1 ~ yellow_stained_glass run playsound block.fire.extinguish master @a ~ ~ ~ 5
execute as @a[scores={altztoriel=1..,poisoned=0}] at @s if block ~ ~-1 ~ yellow_stained_glass run effect give @s wither 5 0 true
execute as @a[scores={altztoriel=1..,poisoned=0}] at @s if block ~ ~-1 ~ yellow_stained_glass run effect give @s levitation 1 17 true
scoreboard players set @a poisoned 0
execute as @a[scores={altztoriel=1..}] at @s if block ~ ~-1 ~ yellow_stained_glass run scoreboard players set @s poisoned 1

#poisoned minion
execute as @e[tag=altztorielM,tag=!bombV,type=bee] at @s if block ~ ~-1 ~ yellow_stained_glass run playsound block.fire.extinguish master @a ~ ~ ~ 5
execute as @e[tag=altztorielM,tag=!bombV,type=bee] at @s if block ~ ~-1 ~ yellow_stained_glass run kill @s
execute as @e[tag=altztorielM,type=!bee] at @s if block ~ ~-1 ~ yellow_stained_glass run function single:bounceback
execute as @e[tag=altztorielM,tag=!bombV,type=!bee] at @s if block ~ ~-1 ~ pink_terracotta run kill @s
execute as @e[tag=altztorielM,tag=!bombV,type=!bee] at @s if block ~ ~-1 ~ gold_ore run kill @s

#waves
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=0}] run function multiple:altztorielmove0
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=1}] run function multiple:altztorielmove1
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=2}] run function multiple:altztorielmove2
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=3}] run function multiple:altztorielmove3
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=4}] run function multiple:altztorielmove4
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=5}] run function multiple:altztorielmove5
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=6}] run function multiple:altztorielmove6
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=7}] run function multiple:altztorielmove7
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=8}] run function multiple:altztorielmove8
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=9}] run function multiple:altztorielmove9
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=10}] run function multiple:altztorielmove10
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={wave=99}] run function multiple:altztorielmove99

#lose/die
execute unless entity @a[scores={player=1..,altztoriel=1..}] run function single:altztorielstop

#end
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={altztorielHP=..0}] run tag @e[tag=altztoriel,type=area_effect_cloud] add won
execute as @e[tag=altztoriel,type=area_effect_cloud,scores={altztorielHP=..0}] run function single:altztorielstop